Skip to main content
GET
Typescript (SDK)

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Response

The waitlist entry

object
string
required
id
string
required
price_variant_id
string
required
product_id
string
required
customer_id
string
required
order_id
string | null
required

The order made when the entry was approved and paid.

status
enum<string>
required
Available options:
pending,
approved,
denied
failure_reason
enum<string> | null
required

payment_failed when approval declined the saved card and denied the entry.

Available options:
payment_failed,
null
livemode
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
email
string
required
form_submissions
object[]
required

The buyer's answers to the price variant's form at checkout.

decided_at
string | null
required